---
title: "Updates Loyalty Adjustment Reason"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/put-loyaltyadjustmentreasons-id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Updates Loyalty Adjustment Reason

`PUT` `/loyaltyadjustmentreasons/{id}`

Operation ID: `put-loyaltyadjustmentreasons-id`

Sample request: PUT /loyaltyadjustmentreasons/12 { "name": "Updated Loyalty Adjustment Reason name", "is_deleted": false }

## Path parameters

- `id` (integer, int32, required) - Loyalty Adjustment Reason id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Request body

Content types: `application/json`

## Responses

- `200` - Returns updated Loyalty Adjustment Reason
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Loyalty Adjustment Reason not found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /loyaltyadjustmentreasons/{id}:
    put:
      tags:
        - loyaltyadjustmentreasons
      summary: Updates Loyalty Adjustment Reason
      description: "Sample request:\r

        \r

        \     PUT /loyaltyadjustmentreasons/12\r

        \     {\r

        \         \"name\": \"Updated Loyalty Adjustment Reason name\",\r

        \         \"is_deleted\": false\r

        \     }"
      operationId: put-loyaltyadjustmentreasons-id
      parameters:
        - name: id
          in: path
          description: Loyalty Adjustment Reason id
          required: true
          schema:
            type: integer
            description: Loyalty Adjustment Reason id
            format: int32
            example: 1
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      requestBody:
        description: Loyalty Adjustment Reason model
        content:
          application/json:
            schema:
              title: EmptyExample
              type: object
              additionalProperties: false
      responses:
        "200":
          description: Returns updated Loyalty Adjustment Reason
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/LoyaltyAdjustmentReason"
              example:
                id: 0
                name: string
                is_system: true
                is_deleted: true
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Loyalty Adjustment Reason not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    LoyaltyAdjustmentReason:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Loyalty Adjustment Reason Id.
          format: int32
        name:
          type: string
          description: Loyalty Adjustment Reason name
          nullable: true
        is_system:
          type: boolean
          description: Loyalty Adjustment Reason IsSystem flag
        is_deleted:
          type: boolean
          description: Loyalty Adjustment Reason IsDeleted flag
          nullable: true
      additionalProperties: false
      description: Loyalty Adjustment Reason Model
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
```
